[CentOS] CentOS 5 Testing repo

Tilman Schmidt t.schmidt at phoenixsoftware.de
Wed Mar 14 18:17:08 EDT 2012


Am 14.03.2012 02:46, schrieb Johnny Hughes:
> 
> If you absolutely HAVE to have 5.2.x, I would recommend these:
> 
> http://rpms.famillecollet.com/
> 
> (he has a 5.2.17 version, the latest 5.2.x version)
> 
> I am pretty sure that they (php.net) are not releasing security updates
> for the 5.2.x series any more. 
> 
> Therefore, your best bet is to use either the 5.1.6 version from c5 (Red
> Hat backports security updates to this, so from a security standpoint it
> is better than 5.2.17) ... OR ... use the php53 from c5.

Unfortunately it seems that PHP code written for 5.2 won't necessarily
run on either 5.1 or 5.3. I'm not a PHP expert myself but my PHP-savvy
colleagues and customers unanimously tell me so. So what's a poor web
server admin to do? I am doomed to keep around one webserver with PHP
5.1, one with PHP 5.2 and one with PHP 5.3, only hoping one of them will
have been deserted by the time PHP 5.4 is released.


More information about the CentOS mailing list